<?php include __DIR__.'/header.php'; ?>

    <h2>Tildeverse RFC system</h2>
    
    <blockquote>
        <p>...The RFC system for tilde boxes will be hosted at https://rfc.tildeverse.org/ and on the tildeverse gitea as <a href="https://tildegit.org/tildeverse/rfcs">tildeverse/rfcs</a>...</p>
        <p>...RFC documents are simply requests. They are for simple things like defining how something should work or how something should be done.</p>
        <p>Standards documents are like mandates. They require something. For example, this document requires a would-be submitter to follow this
        format for RFCs. A Standards document can be amended by RFC documents, and any RFC documents in violation of a Standards document,
        unless otherwise stated within the Standards document, are invalid.</p>
        <footer>
            <cite>
                <a href="/rfcs/?0">RFC 0: Standard 1: RFC Format and Semantics</a>
                by <a href="https://tilde.team/~khuxkm/">Robert Miles</a> (aka khuxkm)
            </cite>
        </footer>
    </blockquote>

    <p>This system aims to help codify some things about Tildeverse tilde servers.</p>

    <h3>Submission guidelines (<a href="/rfcs/?0">from the standard</a>)</h3>

    <p>An RFC should be submitted as a PR to the <a href="https://tildegit.org/tildeverse/rfcs">git repo</a>.</p>

    <p>Until your RFC gets assigned a number, give it a draft name. For example, a draft name for an RFC to make tilde.chat allow IRC connections without SSL could be <code>draft-tilde-chat-without-ssl</code>.</p>

    <p>Your RFC stays a draft until it is accepted. If or when an RFC is accepted, it will be given a number (at which time it must be renamed <code>rfcX.md</code>, where X is the number). The status must be changed to <code>Accepted</code> and the number tag must contain the assigned number. When you finish doing this, the PR will be merged.</p>

<?php include __DIR__.'/footer.php'; ?>
