<?php
namespace Rfcs;

use Mni\FrontYAML;
use Mni\FrontYAML\Markdown;
use Michelf\MarkdownExtra;

class MDParser implements Markdown\MarkdownParser {
    public function __construct() {
        $this->mdparser = new MarkdownExtra();
        $this->mdparser->header_id_func = function ($header) {
            return preg_replace('/[^a-z0-9]/', '-', strtolower($header));
        };
    }

    public function parse($markdown) {
        return $this->mdparser->transform($markdown);
    }

    public static function factory() {
        return new FrontYAML\Parser(null, new MDParser());
    }
}
